<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Danh sách đơn hàng</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body onload="onPageLoadingInputOrder()">
    <div class="m-2">
      <h1 class="text-center">Danh Sách đơn hàng</h1>
      <table id="table-order" class="table table-border table-striped">
        <thead>
          <tr>
            <th>Order code</th>
            <th>Kích cỡ combo</th>
            <th>Loại pizza</th>
            <th>Nước uống</th>
            <th>Thành tiền</th>
            <th>Họ và tên</th>
            <th>Số điện thoại</th>
            <th>Trạng thái</th>
            <th>Chi tiết</th>
          </tr>
        </thead>
        <tbody></tbody>
      </table>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gCOL_ORDER_CODE = 0;
    const gCOL_KICH_CO = 1;
    const gCOL_LOAI_PIZZA = 2;
    const gCOL_NUOC_UONG = 3;
    const gCOL_THANH_TIEN = 4;
    const gCOL_HO_TEN = 5;
    const gCOL_SO_DIEN_THOAI = 6;
    const gCOL_TRANG_THAI = 7;
    const gCOL_CHI_TIET = 8;

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hien thi data input
    function onPageLoadingInputOrder() {
      var vXmlHttp = new XMLHttpRequest();
      goiApiAllOrder(vXmlHttp);
      vXmlHttp.onreadystatechange = function () {
        if (
          vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
          vXmlHttp.status == gREQUEST_STATUS_OK
        ) {
          hienThiThongTinTable(vXmlHttp);
          console.log(vXmlHttp.responseText);
        }
      };
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // gọi api để lấy tất cả order
    function goiApiAllOrder(paramXmlHttp) {
      paramXmlHttp.open("GET", gBASE_URL, true);
      paramXmlHttp.send();
    }
    function hienThiThongTinTable(paramXmlHttp) {
      var vOrderObj = JSON.parse(paramXmlHttp.responseText);
      console.log("hello");
      var vTableOrder = document.getElementById("table-order");
      var vTableBody = vTableOrder.getElementsByTagName("tbody")[0];
      for (var bI = 0; bI < vOrderObj.length; bI++) {
        var bNewRow = vTableBody.insertRow(-1);
        var bCellOrderCode = bNewRow.insertCell(gCOL_ORDER_CODE);
        var bCellKichCo = bNewRow.insertCell(gCOL_KICH_CO);
        var bCellLoaiPizza = bNewRow.insertCell(gCOL_LOAI_PIZZA);
        var bCellNuocUong = bNewRow.insertCell(gCOL_NUOC_UONG);
        var bCellThanhTien = bNewRow.insertCell(gCOL_THANH_TIEN);
        var bCellHoTen = bNewRow.insertCell(gCOL_HO_TEN);
        var bCellSoDienThoai = bNewRow.insertCell(gCOL_SO_DIEN_THOAI);
        var bCellTrangThai = bNewRow.insertCell(gCOL_TRANG_THAI);
        var bCellChiTiet = bNewRow.insertCell(gCOL_CHI_TIET);

        bCellOrderCode.innerHTML = vOrderObj[bI].orderCode;
        bCellKichCo.innerHTML = vOrderObj[bI].kichCo;
        bCellLoaiPizza.innerHTML = vOrderObj[bI].loaiPizza;
        bCellNuocUong.innerHTML = vOrderObj[bI].idLoaiNuocUong;
        bCellThanhTien.innerHTML = vOrderObj[bI].thanhTien;
        bCellHoTen.innerHTML = vOrderObj[bI].hoTen;
        bCellSoDienThoai.innerHTML = vOrderObj[bI].soDienThoai;
        bCellTrangThai.innerHTML = vOrderObj[bI].trangThai;

        var bNewButton = document.createElement("button");
        bNewButton.className = "btn btn-primary";
        bNewButton.innerHTML = "Chi tiết";
        bCellChiTiet.appendChild(bNewButton);
        bNewButton.setAttribute("data-ordercode", vOrderObj[bI].orderCode);
        bNewButton.setAttribute("data-id", vOrderObj[bI].id);
        bNewButton.addEventListener("click", function () {
          getBtn(this);
        });
      }
    }
    function getBtn(param) {
      var vOrderCode = param.dataset.ordercode;
      var vId = param.dataset.id;
      var vLink = "OrderDetailConfirm.html";
      var vLinkObj = vLink + "?orderCode=" + vOrderCode + "&" + "id=" + vId;
      window.location.href = vLinkObj;
    }
  </script>
</html>
